# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-spiffgtkwidgets
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global git 59a713f

Summary:    Collection of useful Gtk widgets
Name:       python-module-spiffgtkwidgets
Version:    0.2.0
Release:    alt1_14.%{git}
            # src/SpiffGtkWidgets/FormEditor/Elements/Element.py
            # and src/SpiffGtkWidgets/FormEditor/FloatBox.py
            # are LGPLv3, all other AGPLv3
License:    AGPLv3 and LGPLv3
Group:      Development/Other
URL:        https://github.com/knipknap/SpiffGtkWidgets
BuildArch:  noarch
Source0:    https://github.com/knipknap/SpiffGtkWidgets/tarball/%{git}
            # https://github.com/knipknap/SpiffGtkWidgets/issues/4
Patch0:     %{oldname}-fsf-fix.patch

BuildRequires: python-module-setuptools
BuildRequires: python-devel


%global _description\
Spiff Gtk Widgets provides a collection of Gtk widgets\
- An annotated text view and a calendar similar to Google's online calendar.\

Source44: import.info


%description %_description

%prep
ln -sf %{SOURCE0} source0.tar.gz
%global SOURCE0 source0.tar.gz
%setup -q -n knipknap-SpiffGtkWidgets-%{git}
%patch0 -p1


%build
%{__python} setup.py --quiet build


%install
%{__python} setup.py --quiet install -O1 --skip-build --root %{buildroot}


%files -n python-module-spiffgtkwidgets
%doc AUTHORS COPYING ChangeLog README TODO
%{python_sitelibdir_noarch}/SpiffGtkWidgets
%{python_sitelibdir_noarch}/*.egg-info


%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_14.59a713f
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_13.59a713f
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_12.59a713f
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_10.59a713f
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_9.59a713f
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_8.59a713f
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_7.59a713f
- update to new release by fcimport

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_6.59a713f
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_5.59a713f
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_4.59a713f
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_3.59a713f
- initial fc import

